Bug 444900 - System hangs on bootup at "starting udev"
System hangs on bootup at "starting udev"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 13:07 EDT by Tim Howland
Modified: 2009-07-14 11:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:46:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Howland 2008-05-01 13:07:40 EDT
Description of problem:
When I boot up the system, it hangs at "starting UDEV"

Version-Release number of selected component (if applicable):
Fedora Core 9 Preview Release
2.6.25-0.234.rc9.git1.fc9.x86_64 kernel
x86_64
8GB ram
8 core system


How reproducible:
happens on every boot.

I added the "udevinfo" and "modprobedebug" flags to the grub parameters on boot
and saw the following:

udevd[756]: udev_done: seq 590, pid [798] exit with 0, 0 seconds old
insmod
/lib/modules/2.6.25-0.234.rc9.git1.fc9.x86_64/kernel.drivers/edac/edac_core.ko
udevd[756]: msg_queue_insert: seq 592 queued, 'add' 'module'
udevd[756]: udev_event_run: seq 592 forked, pid [1041], 'add' 'module', 0
seconds old
insmod
/lib/modules/2.6.25-0.234.rc9.git1.fc9.x86_64/kernel.drivers/edac/i5000_edac.ko
udevd-event[1041]: pass_env_to_socket: passed -1 bytes to socket
'/org/freedesktop/hal/udev_event',
udevd[756]: msg_queue_insert: seq 593 queued, 'add' 'system'
udevd-event[1014]: pass_env_to_socket: passed -1 bytes to socket '@/org/kernel/u

at this point the output is truncated and the system just hangs.

I suspect it's an issue going back to the 2.6.24 kernels, as I was seeing
similar issues with that kernel on the FC8 live CD. 

Please let me know if you need any further troubleshooting info-

Thanks!

Tim
Comment 1 Tim Howland 2008-05-01 13:41:46 EDT
On further research, this looks like an issue with the ECC ram in my system.

The motherboard is a supermicro X7DAL-E, running bios version 2.0B

Is there anyway to disable EDAC from grub, or do I need to try to get it to boot
from a rescue CD?
Comment 2 Tim Howland 2008-05-01 14:02:42 EDT
I blacklisted edac_mc and i5000_edac by using rescue mode and was able to get
the system to boot. While this is now fixed, other folks are probably going to
run into the problem.
Comment 3 Tim Howland 2008-05-06 11:33:42 EDT
This motherboard uses an intel 5000X chipset; the edac wiki reports that there
is a patch in CVS for the i5000 edac driver, but it apparently hasn't made it
into the distro yet.
Comment 4 Bug Zapper 2008-05-14 06:29:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Remy C. 2008-10-04 03:14:38 EDT
I have the same problem with the kernel 2.6.26.5-45.fc9.i686. But 2.6.25.14-108.fc9.i686 works fine!
Comment 6 Bug Zapper 2009-06-09 20:33:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:46:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.